import { Api } from "..";
const api = Api();
export class DisputeService {
    async fetchDispute(disputeId, authToken) {
        const endpoint = `disputes/${disputeId}`;
        return api.get({ endpoint, authToken });
    }
    async updateDisputeResponse(disputeId, authToken, payload) {
        const endpoint = `disputes/${disputeId}/response`;
        const body = payload;
        return api.patch({ endpoint, body, authToken });
    }
    async submitDisputeResponse(disputeId, authToken, payload) {
        const endpoint = `disputes/${disputeId}/response`;
        const body = payload;
        return api.post({ endpoint, body, authToken });
    }
    async createDisputeEvidence(disputeId, authToken, payload) {
        const endpoint = `disputes/${disputeId}/evidence`;
        const body = payload;
        return api.put({ endpoint, body, authToken });
    }
}
